GNU / Linux October 2013 Desktops


Recommended Posts

GNU / Linux October 2013 Desktops - Posting Guidelines

Embedded images should be smaller than or equal to 1440x900 (preferably 1024x768)
The file size for image previews should be no larger than 500 KB
Images linked externally should be no larger than 3 MB

* If you plan to img-embed your desktop, please try to keep it under 100k (It's recommended that you link it, externally).

* Stay within the board rules, no matter how yummy you may believe it to be.

* If you are going to quote, there isn't a need to quote an img-embeded picture - Just don't do it. Please just reference the post by page number/page link/etc.

* Off Topic Posts will be edited or removed.

The desktops thread is not to be used as a means to post images of a pornographic or otherwise provocative nature. We do not support a babes forum and neither will we in an unofficial capacity. Please help to keep the thread relevant and safe to browse for everyone.

* The moderators of this forum reserve the right to edit or remove your posts as necessary so they may comply with our Community Rules.

* In the interests of keeping the thread on topic it is strongly urged that you format your posts in the following order:

Themes: Name/where you got it (with link would be nice).

___________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________

 

Linux System Stats Script - Produced by our own Neowin members, Haggis and +xorangekiller!

Link to comment
https://www.neowin.net/forum/topic/1179689-gnu-linux-october-2013-desktops/
Share on other sites

Not a lot has changed since last month..Same wallpaper at the moment. I need to get my networking properly...For some reason, this laptop can't see my Debian server, yet my two Windows computers can...And it has all my wallpapers lol

But updated to Jessie, and the 3.11.2 kernel. First time I've compiled a kernel.

Also using the new Haggis Stats 2.0 program, works good :)

post-44850-0-29589300-1380591667.jpg

mStcBIhl.png

Arch Linux x64

XFCE 4.10

Theme: Zukitwo

Wallpaper: Taken from here

Icons: Faelementary

UI Font: Droid Sans

The wallpaper actually spans two monitors, but I've modified the wallpaper to compensate for the screen bezel and differing resolutions so it looks crap as a screenshot, therefore I'm only showing my main monitor.

Not a whole lot has changed on my desktop since the last time I posted in one of these threads, other than my desktop background and the new Icedove and Minecraft icons pinned to my top panel that is. My desktop background comes from the Autumn 2013 theme posted here. In case anyone is interested, I posted my script for extracting and sanitizing backgrounds from "Windows 8 Desktop Themepacks" below.
 
6ef2fa19e75fccff3561a6d5a48cb46e.png
 

#!/bin/bash

ARCHIVE_MANAGER_EXEC='file-roller'
EXTRACT_DIRECTORY='deskthemes'
DESKTOP_BACKGROUND_DIRECTORY="$EXTRACT_DIRECTORY/DesktopBackground"

which $ARCHIVE_MANAGER_EXEC 1>/dev/null 2>&1
if [ $? -ne 0 ]; then
    ARCHIVE_MANAGER_EXEC=engrampa
    
    which $ARCHIVE_MANAGER_EXEC 1>/dev/null 2>&1
    if [ $? -ne 0 ]; then
        echo "ERROR: Archive manager is not installed!" 1>&2
        exit 1
    fi
fi

if [ -e $EXTRACT_DIRECTORY ]; then
    echo "Deleting: $EXTRACT_DIRECTORY"
    rm -rf $EXTRACT_DIRECTORY
fi

for file in *.deskthemepack; do
    echo "Extracting: $file"
    $ARCHIVE_MANAGER_EXEC --extract-to=$EXTRACT_DIRECTORY --force "$file"
done

if [ ! -d $DESKTOP_BACKGROUND_DIRECTORY ]; then
    echo "ERROR: Directory \"$DESKTOP_BACKGROUND_DIRECTORY\" does not exist!" 1>&2
    exit 2
fi

for file in $DESKTOP_BACKGROUND_DIRECTORY/*.*; do
    new_file="$file"
    
    echo "$new_file" | grep -Eqs '\.[jJ][pP][eE]{0,1}[gG]$'
    if [ $? -eq 0 ]; then
        echo "$new_file" | grep -qs '\.jpg$'
        if [ $? -ne 0 ]; then
            new_file="$(echo $new_file | awk 'BEGIN {FS="."} {for (i=1;i<NF;i++) {printf $i"."}; print "";}')jpg"
        fi
    fi
    
    echo "$new_file" | grep -Eqs '[0-9]+\s*x\s*[0-9]+'
    if [ $? -eq 0 ]; then
        new_file="$(echo "$new_file" | awk 'BEGIN {FS="_*[0-9]+\s*x\s*[0-9]+"} {for (i=1;i<=NF;i++) {printf $i}; print ""}')"
    fi
    
    if [ "x$file" = "x$new_file" ]; then
        echo "TOUCHING: $file"
    else
        echo "MOVING: $file $new_file"
        mv "$file" "$new_file"
    fi
    touch "$new_file"
done

exit 0

Keuka, nice ones. Can you share the name of theme and how you done that? PM me if you want. :)

 

Edit: Never mind, I figured out conky manager, but I still want to know your theme. 

Keuka, nice ones. Can you share the name of theme and how you done that? PM me if you want. :)

 

Edit: Never mind, I figured out conky manager, but I still want to know your theme.

It's the default elementary theme. There's a download here that should get the same results for you (assuming Gnome or XFCE). Don't know what the icons are though, they look pretty good with the theme though :).

Keuka, nice ones. Can you share the name of theme and how you done that? PM me if you want. :)

 

Edit: Never mind, I figured out conky manager, but I still want to know your theme. 

 

https://www.neowin.net/forum/topic/1180735-guide-to-make-elementary-os-look-like-xenzen-configuration/

It's the default elementary theme. There's a download here that should get the same results for you (assuming Gnome or XFCE). Don't know what the icons are though, they look pretty good with the theme though :).

 

https://www.neowin.net/forum/topic/1180735-guide-to-make-elementary-os-look-like-xenzen-configuration/

  • Like 1
This topic is now closed to further replies.
  • Posts

    • Pale Moon 34.3.1 by Razvan Serea Pale Moon is an Open Source, Goanna-based web browser available for Microsoft Windows, Linux and Android, focusing on efficiency and ease of use. Make sure to get the most out of your browser! Pale Moon offers you a browsing experience in a browser completely built from its own, independently developed source that has been forked off from Firefox/Mozilla code, with carefully selected features and optimizations to improve the browsers speed, resource use, stability and user experience, while offering full customization and a growing collection of extensions and themes to make the browser truly your own. Features: Optimized for modern processors Based on proprietary optimized layout engine (Goanna) Safe: forked from mature Mozilla code and regularly updated Secure: Additional security features and security-aware development Supported by our user community, and fully non-profit Familiar, efficient, fully customizable interface Support for full themes: total freedom over any elements design Support for easily-created lightweight themes (skins) Smooth and speedy page drawing and script processing Increased stability: experience fewer browser crashes Support for many Firefox extensions Support for a growing number of Pale Moon exclusive extensions Extensive and growing support for HTML5 and CSS3 Many customization and configuration options Pale Moon 34.3.1 changelog: Pale Moon will now exclude local resources from CSP checks, aligning it with the rest of CSP handling. Fixed an issue where the devtools JSON viewer would, in some cases, make erroneous requests to remote servers. Updated libpng to 1.6.58+apng. Updated NSS to 3.90.12 (UXP), addressing multiple security issues. Fixed several intermittent and rare crashes. Security issues addressed: CVE-2026-12318 (CWE-125), CVE-2026-12322, CVE-2026-12292 (DiD), and multiple other issues that did not have a CVE designation at the time of patching. Download: Pale Moon (64-bit) | Portable 64-bit | ~40.0 MB (Freeware) Download: Pale Moon (32-bit) | Portable 32-bit Links: Pale Moon Homepage | Add-ons | Themes | Extensions | Screenshot Get alerted to all of our Software updates on Twitter at @NeowinSoftware
    • Onwards to Windows 12 then lol.
    • There is a long thread (128pgs and counting) that I've been following over at ElevenForums that has a method for updating Secure Boot even if there is no BIOS upgrade. I've used this method and had zero issues. NOTE:  I do not take any responsibility if this or any other Secure Boot method bricks your system -- YMMV!  Read carefully before using!
    • Yes, yes, YES, thank you AMD. Now display audio, night light, cleartype, etc, all work again.
  • Recent Achievements

    • Grand Master
      Jaybonaut went up a rank
      Grand Master
    • One Year In
      Philsl earned a badge
      One Year In
    • Dedicated
      Scoobystu earned a badge
      Dedicated
    • First Post
      Tom Schmidt earned a badge
      First Post
    • One Month Later
      D0nn13 earned a badge
      One Month Later
  • Popular Contributors

    1. 1
      +primortal
      425
    2. 2
      +Edouard
      177
    3. 3
      PsYcHoKiLLa
      124
    4. 4
      Michael Scrip
      77
    5. 5
      Xenon
      76
  • Tell a friend

    Love Neowin? Tell a friend!